org.apache.cassandra.gms

## Interface IFailureDetectionEventListener

- All Known Implementing Classes:
    ActiveRepairService, AnticompactionTask, Gossiper, RepairSession

      public interface IFailureDetectionEventListener

  Implemented by the Gossiper to convict an endpoint based on the PHI calculated by the Failure Detector on the inter-arrival times of the heart beats.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `convict(java.net.InetAddress ep, double phi)` Convict the specified endpoint.

- - ### Method Detail

    - #### convict

          void convict(java.net.InetAddress ep,
                       double phi)

      Convict the specified endpoint.
      Parameters:
        `ep` - endpoint to be convicted
        `phi` - the value of phi with with ep was convicted

Copyright © 2018 The Apache Software Foundation